# 🤝 Contributing to **angular-jest-scaffolder**

Thank you for your interest in contributing to **angular-jest-scaffolder**! We are excited to have you join our community of contributors. Your contributions play a vital role in enhancing the project, and we appreciate your effort in making it better.

## 📝 Code of Conduct

This project follows a Contributor Code of Conduct. By participating, you agree to abide by its principles, ensuring a respectful and inclusive environment for all contributors.

## 🤔 How to Contribute

### 🐞 Reporting Bugs

If you encounter a bug, please open a new issue on GitHub. Be sure to provide a detailed description of the problem, along with steps to reproduce it. This will help us resolve the issue quickly.

### 🚀 Requesting Features

Have an idea for a new feature? We’d love to hear it! Create a new issue with a comprehensive description of the feature you'd like to see and its potential benefits for users.

### 💻 Submitting Changes

We welcome all contributions, whether it's fixing bugs or introducing new features. To submit your changes, please follow these steps:

1. 🍴 **Fork the repository** to your GitHub account.
2. 🌿 **Create a new branch** for your feature or bugfix.
3. 🖊️ **Make your changes** and commit them with a clear message.
4. 🚀 **Push your changes** to your forked repository.
5. 🤝 **Create a pull request** on GitHub, describing your changes and their importance.

### 📝 Important Notes

- Ensure your pull request has a clear description of what was changed and why.
- Include any relevant issue numbers in your pull request description.

## 📜 Code Guidelines

To maintain a high standard of quality in the codebase, please follow these guidelines:

1. 🌟 **Format your code** using Prettier for consistency.
2. 📏 Adhere to the **Angular Style Guide** to ensure uniformity and best practices.

## 📄 License

By contributing to **angular-jest-scaffolder**, you agree that your contributions will be licensed under the MIT License. For more details, please refer to the LICENSE file.

## 🙏 Thank You!

We greatly appreciate your willingness to contribute to **angular-jest-scaffolder**. Every contribution makes a difference, and together, we can build an amazing tool for the community!
